function purity = ComputeClusterPurity(IDX, C, k, nc)
if ~exist('nc', 'var') || isempty(nc)
    nc = k;
end
n = size(IDX,1);

classes = clabel2dataclasses(C,nc);
clusters = clabel2dataclasses(IDX,k);

T = clusters' * classes;

purity = sum(max(T, [], 2)) / n;