function [A,C,nc] = GetClusteringData(dataname)
load([dataname, '.mat']);

A = double(A+A'>0);

[C,ind] = sort(C);
A = A(ind,ind);

if ~exist('nc', 'var') || isempty(nc)
    nc = nnz(unique(C));
end

n = size(A,1);
for i=1:n
    A(i,i) = 0;
end
if ~issparse(A);
    A = sparse(A);
end
